LibOFX: OfxStatementData Struct Reference

- Main Page
- Namespaces
- Data Structures
- Files
- Related Pages

- Data Structures
- Class Hierarchy
- Data Fields

# OfxStatementData Struct Reference

## Detailed Description

An abstraction of an account statement.

The OfxStatementData structure contains information about your account at the time the ofx response was generated, including the balance. A client should check that the total of his recorded transactions matches the total given here, and warn the user if they dont.

Definition at line 563 of file inc/libofx.h.

## Field Documentation

char OfxStatementData::currency

The currency is a string in ISO-4217 format

Definition at line 572 of file inc/libofx.h.

Referenced by OfxStatementContainer::add_attribute(), and ofx_proc_statement_cb().

char OfxStatementData::account_id

Use this for matching this statement with the relevant account in your application

Definition at line 574 of file inc/libofx.h.

Referenced by OfxStatementContainer::add_account(), ofx_proc_statement_cb(), and OfxTransactionContainer::OfxTransactionContainer().

struct OfxAccountData* OfxStatementData::account_ptr

Pointer to the full account structure, see OfxAccountData

Definition at line 576 of file inc/libofx.h.

Referenced by OfxStatementContainer::add_account(), and ofx_proc_statement_cb().

double OfxStatementData::ledger_balance

The actual balance, according to the FI. The user should be warned of any discrepency between this and the balance in the application

Definition at line 581 of file inc/libofx.h.

Referenced by OfxStatementContainer::add_balance(), and ofx_proc_statement_cb().

time_t OfxStatementData::ledger_balance_date

Time of the ledger_balance snapshot

Definition at line 583 of file inc/libofx.h.

Referenced by ofx_proc_statement_cb().

double OfxStatementData::available_balance

Amount of money available from the account. Could be the credit left for a credit card, or amount that can be withdrawn using INTERAC)

Definition at line 591 of file inc/libofx.h.

Referenced by OfxStatementContainer::add_balance(), and ofx_proc_statement_cb().

int OfxStatementData::available_balance_date_valid

Time of the available_balance snapshot

Definition at line 596 of file inc/libofx.h.

Referenced by ofx_proc_statement_cb().

time_t OfxStatementData::date_start

The start time of this statement.

All the transactions between date_start and date_end should have been provided

Definition at line 601 of file inc/libofx.h.

Referenced by OfxStatementContainer::add_attribute(), and ofx_proc_statement_cb().

time_t OfxStatementData::date_end

The end time of this statement.

If provided, the user can use this date as the start date of his next statement request. He is then assured not to miss any transactions.

Definition at line 607 of file inc/libofx.h.

Referenced by OfxStatementContainer::add_attribute(), and ofx_proc_statement_cb().

char OfxStatementData::marketing_info

marketing_info could be special offers or messages from the bank, or just about anything else

Definition at line 611 of file inc/libofx.h.

Referenced by OfxStatementContainer::add_attribute(), and ofx_proc_statement_cb().

struct OfxAccountData* OfxStatementData::account_ptr

Pointer to the full account structure, see OfxAccountData

Definition at line 576 of file libofx-0.9.1/inc/libofx.h.

char OfxStatementData::currency

The currency is a string in ISO-4217 format

Definition at line 572 of file inc/libofx.h.

Referenced by OfxStatementContainer::add_attribute(), and ofx_proc_statement_cb().

char OfxStatementData::account_id

Use this for matching this statement with the relevant account in your application

Definition at line 574 of file inc/libofx.h.

Referenced by OfxStatementContainer::add_account(), ofx_proc_statement_cb(), and OfxTransactionContainer::OfxTransactionContainer().

struct OfxAccountData* OfxStatementData::account_ptr

Pointer to the full account structure, see OfxAccountData

Definition at line 576 of file inc/libofx.h.

Referenced by OfxStatementContainer::add_account(), and ofx_proc_statement_cb().

double OfxStatementData::ledger_balance

The actual balance, according to the FI. The user should be warned of any discrepency between this and the balance in the application

Definition at line 581 of file inc/libofx.h.

Referenced by OfxStatementContainer::add_balance(), and ofx_proc_statement_cb().

time_t OfxStatementData::ledger_balance_date

Time of the ledger_balance snapshot

Definition at line 583 of file inc/libofx.h.

Referenced by ofx_proc_statement_cb().

double OfxStatementData::available_balance

Amount of money available from the account. Could be the credit left for a credit card, or amount that can be withdrawn using INTERAC)

Definition at line 591 of file inc/libofx.h.

Referenced by OfxStatementContainer::add_balance(), and ofx_proc_statement_cb().

int OfxStatementData::available_balance_date_valid

Time of the available_balance snapshot

Definition at line 596 of file inc/libofx.h.

Referenced by ofx_proc_statement_cb().

time_t OfxStatementData::date_start

The start time of this statement.

All the transactions between date_start and date_end should have been provided

Definition at line 601 of file inc/libofx.h.

Referenced by OfxStatementContainer::add_attribute(), and ofx_proc_statement_cb().

time_t OfxStatementData::date_end

The end time of this statement.

If provided, the user can use this date as the start date of his next statement request. He is then assured not to miss any transactions.

Definition at line 607 of file inc/libofx.h.

Referenced by OfxStatementContainer::add_attribute(), and ofx_proc_statement_cb().

char OfxStatementData::marketing_info

marketing_info could be special offers or messages from the bank, or just about anything else

Definition at line 611 of file inc/libofx.h.

Referenced by OfxStatementContainer::add_attribute(), and ofx_proc_statement_cb().

struct OfxAccountData* OfxStatementData::account_ptr

Pointer to the full account structure, see OfxAccountData

Definition at line 576 of file libofx-0.9.1/inc/libofx.h.

The documentation for this struct was generated from the following files:

- inc/libofx.h
- libofx-0.9.1/inc/libofx.h